var Hooks =
/*#__PURE__*/
function () {
  function Hooks() {
    this.hooks = {};
  }

  var _proto = Hooks.prototype;

  _proto.add = function add(name, fn) {
    this.hooks[name] = this.hooks[name] || [];
    this.hooks[name].push(fn);
    return this;
  };

  _proto.invoke = function invoke(name) {
    var hooks = this.hooks[name] || [];

    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    for (var _iterator = hooks, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
      var _ref;

      if (_isArray) {
        if (_i >= _iterator.length) break;
        _ref = _iterator[_i++];
      } else {
        _i = _iterator.next();
        if (_i.done) break;
        _ref = _i.value;
      }

      var fn = _ref;
      fn.apply(void 0, args);
    }

    return this;
  };

  _proto.process = function process(name, arg) {
    var hooks = this.hooks[name] || [];

    for (var _iterator2 = hooks, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
      var _ref2;

      if (_isArray2) {
        if (_i2 >= _iterator2.length) break;
        _ref2 = _iterator2[_i2++];
      } else {
        _i2 = _iterator2.next();
        if (_i2.done) break;
        _ref2 = _i2.value;
      }

      var fn = _ref2;
      arg = fn(arg) || arg;
    }

    return arg;
  };

  _proto.processPromise = function processPromise(name, arg) {
    return new Promise(function ($return, $error) {
      var hooks, _iterator3, _isArray3, _i3, _ref3, fn;

      hooks = this.hooks[name] || [];
      _iterator3 = hooks, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _iterator3[Symbol.iterator]();
      var $Loop_1_trampoline;

      function $Loop_1() {
        if (true) {
          if (_isArray3) {
            if (_i3 >= _iterator3.length) return [1];
            _ref3 = _iterator3[_i3++];
          } else {
            _i3 = _iterator3.next();
            if (_i3.done) return [1];
            _ref3 = _i3.value;
          }

          fn = _ref3;
          return Promise.resolve(fn(arg)).then(function ($await_3) {
            try {
              // eslint-disable-next-line no-await-in-loop
              arg = $await_3 || arg;
              return $Loop_1;
            } catch ($boundEx) {
              return $error($boundEx);
            }
          }, $error);
        } else return [1];
      }

      return ($Loop_1_trampoline = function (q) {
        while (q) {
          if (q.then) return void q.then($Loop_1_trampoline, $error);

          try {
            if (q.pop) {
              if (q.length) return q.pop() ? $Loop_1_exit.call(this) : q;else q = $Loop_1;
            } else q = q.call(this);
          } catch (_exception) {
            return $error(_exception);
          }
        }
      }.bind(this))($Loop_1);

      function $Loop_1_exit() {
        return $return(arg);
      }
    }.bind(this));
  };

  return Hooks;
}();

export default new Hooks();